#pragma once

#include <memory>

#include "UiEvent.h"

class ResizeEvent : public UiEvent
{
public:
    ResizeEvent(unsigned width, unsigned height);

    ~ResizeEvent();

    static std::unique_ptr<ResizeEvent> Create(unsigned width, unsigned height);

    unsigned getWidth() const
    {
        return mWidth;
    }

    unsigned getHeight() const
    {
        return mHeight;
    }

private:
    unsigned mWidth{0};
    unsigned mHeight{0};
};
using ResizeEventPtr = std::unique_ptr<ResizeEvent>;
